import isObject_default from "./isObject.js";
import eq_default from "./eq.js";
import isArrayLike_default from "./isArrayLike.js";
import _isIndex_default from "./_isIndex.js";
function isIterateeCall(i, a, o) {
	if (!isObject_default(o)) return !1;
	var s = typeof a;
	return (s == "number" ? isArrayLike_default(o) && _isIndex_default(a, o.length) : s == "string" && a in o) ? eq_default(o[a], i) : !1;
}
var _isIterateeCall_default = isIterateeCall;
export { _isIterateeCall_default as default };
